import { NuiEnvironment } from "../environment";
/**
 * __Name : __
 * Log Service
 *
 * __Usage :__
 * Used to show log messages in the console
 */
/**
 * @ignore
 */
export declare class LoggerService {
    private logLevel;
    constructor(env?: NuiEnvironment);
    /**
     *
     * __Description:__ Log to debug
     * @param ...msgs multiple arguments to be logged.
     */
    get debug(): (...args: any[]) => void;
    /**
     *
     * __Description:__ Log to info
     * @param ...msgs multiple arguments to be logged.
     */
    get info(): (...args: any[]) => void;
    /**
     *
     * __Description:__ Log without specifying log level
     * @param ...msgs multiple arguments to be logged.
     */
    get log(): (...args: any[]) => void;
    /**
     *
     * __Description:__ Log to warn
     * @param ...msgs multiple arguments to be logged.
     */
    get warn(): {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    /**
     *
     * __Description:__ Log to error
     * @param ...msgs multiple arguments to be logged.
     */
    get error(): (...args: any[]) => void;
}
